您可以更改虛擬機器的硬體相容性。所有虛擬機都具有硬體版本。硬體版本指明瞭虛擬機支援的虛擬硬體功能(如 BIOS 或 UEFI)、虛擬插槽數量、最大 CPU 數、最大記憶體配置,以及其他硬體特性。

升級 Workstation Pro 時,必須更改使用以前版本的 Workstation Pro 創建的虛擬機的硬體相容性,以使這些虛擬機能夠使用新版 Workstation Pro 中的新功能。您可以在新版 Workstation Pro 中運行舊版虛擬機,但是無法使用新功能。

如果您想要虛擬機器保持與您正在使用的其他VMware產品相容,則可能不希望將硬體相容性變更為最新Workstation Pro版本。

備註: 如果您決定不變更虛擬機器的硬體相容性,則應考慮升級至最新版本的 VMware Tools,以取得最新的 VMware Tools 功能。

必要條件

熟悉更改虛擬機硬體相容性的注意事項和限制。請參閱更改虛擬機器硬體相容性的注意事項

程序

  1. 製作虛擬磁碟 (.vmdk) 文件的備份副本。
  2. 如果從 Workstation 5.x 虛擬機向更高版本升級,或從更高版本降級到 Workstation 5.x 虛擬機,請記下客體作業系統中的網卡設定。
    如果已為虛擬機指定了靜態IP位址,則升級后該設定可能會改為由 DHCP 自動分配。
  3. 關閉客體作業系統,並關閉虛擬機器電源。
  4. 選擇虛擬機,然後選擇虛擬機(VM) > 管理(Manage) > 更改硬體相容性(Change Hardware Compatibility)
  5. 根據精靈中的提示更改虛擬機的硬體相容性。
    選取硬體相容性設定時,會顯示與該設定相容的VMware產品清單。例如,如果選擇 Workstation 4、5 或 6,系統還會顯示該 Workstation 版本不支援的 Workstation 6.5 及更高版本的功能清單。
    備註: 在使用 Workstation 10 或更高版本時,可以更改共用或遠端虛擬機的硬體相容性,但不能降級以前創建的虛擬機。
  6. 開啟虛擬機器的電源。
    如果將包含 Windows 98 操作系統的虛擬機升級到 Workstation 6.5 或更高版本的虛擬機,在開啟虛擬機時必須安裝 PCI-PCI 網橋驅動程式。
    備註: 這是因為 Workstation 6.5 及更高版本的虛擬機比 Workstation 6 多了 32 個 PCI-PCI 網橋,您可能需要對提示作出 32 或 33 次回應。
  7. 如果客體作業系統中的網卡設定已更改,請根據您記錄的網卡設定將其更改回原始設定。
  8. 如果虛擬機器未安裝最新版本的 VMware Tools,請更新 VMware Tools。

    將 VMware Tools 更新至最新版本的 Workstation Pro 隨附的版本,即使您已將虛擬機器升級至舊版 Workstation Pro。安裝新版本之前,請勿移除舊版的 VMware Tools。

    備註: 在升級從物理磁碟運行的虛擬機時,您可以安全地忽略以下消息: 無法升級 drive_name。提供的其中一個參數無效。